Начиная с сегодняшнего дня, 12 апреля 2018 года, пользователи macOS (High Sierra 10.13.4) начали получать предупреждения о несовместимости 32-битных приложений. При запуске некоторых приложений теперь можно увидеть сообщение: «Это приложение должно быть обновлено разработчиками для улучшения совместимости». В сообщении также содержится ссылка на официальную страницу поддержки с дополнительной информацией.

Apple предупреждала о том, что начнет отображать такие уведомления еще в январе 2018 года, во время релиза macOS 10.13.4. В компании поясняют (и эту информацию можно увидеть на упомянутой странице поддержки), что Apple начала переход на 64-разрядное железо и софт более десяти лет назад. Еще на мероприятии Worldwide Developers Conference в 2017 году сообщалось, что macOS High Sierra  станет последней версией ОС, «поддерживающей 32-битные приложения без каких-либо компромиссов», а прием таких продуктов в Mac App Store прекращается.

Стоит сказать, что дата окончательного прекращения поддержки 32-битных приложений по-прежнему не определена. Судя по интересной формулировке («без каких-либо компромиссов»), в следующей версии macOS поддержка 32-битных решений тоже не исчезнет полностью, но появятся некоторые ограничения и нюансы, к которым пользователей начинают готовить уже сейчас.

Аналогичные изменения уже произошли с iOS. В этом случае Apple тоже действовала поэтапно: сначала были уведомлены разработчики, затем пользователи, и компания прекратила прием новых 32-битных приложений в App Store. Лишь после этого в силу вступил полный «запрет», и 32-битные версии приложений вообще перестали запускаться.

Оставить мнение